@charset "Shift-jis";
/* ここまでデモページ用のコード */

#modal-content{
	width: 85%;
	margin: 0;
	background: #fff;
	position: fixed;
	border-radius: 10px;
	z-index: 10000;
	height: 400px;
	display: none;
	padding-bottom: 0px;
}
#modal-content2{
	width: 85%;
	margin: 0;
	background: #fff;
	position: fixed;
	border-radius: 10px;
	z-index: 10000;
	height: 400px;
	display: none;
	padding-bottom: 0px;
}
#modal-content3{
	width: 85%;
	margin: 0;
	background: #fff;
	position: fixed;
	border-radius: 10px;
	z-index: 10000;
	display: none;
	padding-bottom: 0px;
}
  
#modal-overlay{
	z-index:1;
	display:none;
	position:fixed;
	top:0;
	left:0;
	width:100%;
	height:120%;
	background-color:rgba(0,0,0,0.75);
}

.button-link{
	color: #00f;
	text-decoration: underline;
	position: absolute;
	top: -10px;
	right: -10px;
}
 
.button-link:hover{
	cursor:pointer;
	color:#f00;
}

/*モーダル 画像********************************************************************/

.modal-block,.modal-block2 {
	display: none;
	position: fixed;
	justify-content: center;
	align-items: center;
	z-index: 99999;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	margin: 0 auto;
	overflow: auto;
	background-color: rgba(0, 0, 0, 0.8);
}

.modal-block .img-section,.modal-block2 .img-section {
	max-width: 85vw;
	max-height: 60vh;
	position: relative;
	margin: 0 auto;
}

.modal-block .img-section span,.modal-block2 .img-section span  {
	position: absolute;
	transform: translate(50%, -50%);
	top: 0;
	right: 0;
	cursor: pointer;
}

.icon-icon_delete2.c-modal-close {
	font-size: 31px;
    color: white;
    position: absolute;
    top: 0;
}

.modal-block .img-section span::before,.modal-block2 .img-section span::before {
	content: "";
	width: 30px;
	height: 30px;
	background: #ff7474;
	border-radius: 50%;
	display: block;
}

.modal-block img,.modal-block2 video {
	width: 100%;
	max-width:600px;
	height: 100%;
	object-fit: cover;
}
	
.modal-block .caption,.modal-block2 .caption {
	font-size: 20px;
	letter-spacing: .09em;
	color: #fff;
	margin-top: 10px;
	text-align: center;
}

.js-modal-open-photo + img {
	display:none;
}

.js-modal-open-movie + video {
	display:none;
}